Subject: Plant Mums: When?

From: [email-masked] (Matthew D Kupelian)
Date: 30 Oct 1995 13:45:38 -0500

Hello, I'm new to this newsgroup and I have a question about mums which
I'm posting for a friend of mine.  He wants to know when is the time to
plant mums, from seeds, for spring planting and fall flowering.  We are
in Zone 6 (although I'm not sure what that means--we're near Lancaster,
PA, though).  Thanks for any help you can provide.

--Matt